<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::alerts::renderer::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer.html">renderer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::renderer::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_mock_renderer_observer.html">MockRendererObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html">TestMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5c1d07630de93b5806b4a002611cf5d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a5c1d07630de93b5806b4a002611cf5d0">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_create)</td></tr>
<tr class="separator:a5c1d07630de93b5806b4a002611cf5d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06fdc947e1d71fece7d7df386c154cbe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a06fdc947e1d71fece7d7df386c154cbe">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_start)</td></tr>
<tr class="separator:a06fdc947e1d71fece7d7df386c154cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e5613b9eea873fe92b06b472ccff6eb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a3e5613b9eea873fe92b06b472ccff6eb">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_stop)</td></tr>
<tr class="separator:a3e5613b9eea873fe92b06b472ccff6eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae747af0408e5751a7496a84490158c9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#ae747af0408e5751a7496a84490158c9e">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_stopError)</td></tr>
<tr class="separator:ae747af0408e5751a7496a84490158c9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f17d102a2aef1e9826e747dc111f882"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a6f17d102a2aef1e9826e747dc111f882">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_onPlaybackStarted)</td></tr>
<tr class="separator:a6f17d102a2aef1e9826e747dc111f882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b406ae472120a12a1936ee55abe87b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a2b406ae472120a12a1936ee55abe87b9">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_onPlaybackStopped)</td></tr>
<tr class="separator:a2b406ae472120a12a1936ee55abe87b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af794cd08c7271d2db8e6a6ba773072"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a2af794cd08c7271d2db8e6a6ba773072">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_onPlaybackFinishedError)</td></tr>
<tr class="separator:a2af794cd08c7271d2db8e6a6ba773072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ca95c46239bddf1152c85a56834ee8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a21ca95c46239bddf1152c85a56834ee8">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, test_onPlaybackError)</td></tr>
<tr class="separator:a21ca95c46239bddf1152c85a56834ee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec912f4bf6761606b24fb413784a4195"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#aec912f4bf6761606b24fb413784a4195">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>, testTimer_emptyURLNonZeroLoopPause)</td></tr>
<tr class="separator:aec912f4bf6761606b24fb413784a4195"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:adbfbb08966e985c62aa5bbe862003e33"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#adbfbb08966e985c62aa5bbe862003e33">TEST_TIMEOUT</a> {100}</td></tr>
<tr class="memdesc:adbfbb08966e985c62aa5bbe862003e33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Amount of time that the renderer observer should wait for a task to finish.  <a href="#adbfbb08966e985c62aa5bbe862003e33">More...</a><br /></td></tr>
<tr class="separator:adbfbb08966e985c62aa5bbe862003e33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab01b6b8d9cbda35b5f322c728f428e1e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">avsCommon::utils::mediaPlayer::MediaPlayerInterface::SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#ab01b6b8d9cbda35b5f322c728f428e1e">TEST_SOURCE_ID_GOOD</a> = 1234</td></tr>
<tr class="memdesc:ab01b6b8d9cbda35b5f322c728f428e1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test source Id that exists for the tests.  <a href="#ab01b6b8d9cbda35b5f322c728f428e1e">More...</a><br /></td></tr>
<tr class="separator:ab01b6b8d9cbda35b5f322c728f428e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a974c2796659e1c14e792cd9b99f6a808"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">avsCommon::utils::mediaPlayer::MediaPlayerInterface::SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a974c2796659e1c14e792cd9b99f6a808">TEST_SOURCE_ID_BAD</a> = 5678</td></tr>
<tr class="memdesc:a974c2796659e1c14e792cd9b99f6a808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test source Id that does not exist for the tests.  <a href="#a974c2796659e1c14e792cd9b99f6a808">More...</a><br /></td></tr>
<tr class="separator:a974c2796659e1c14e792cd9b99f6a808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a767c7a5e286fa28b3d1a3f72d1b9ee66"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a767c7a5e286fa28b3d1a3f72d1b9ee66">TEST_URL1</a> = &quot;fake.url.one&quot;</td></tr>
<tr class="memdesc:a767c7a5e286fa28b3d1a3f72d1b9ee66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test URLs for the renderer.  <a href="#a767c7a5e286fa28b3d1a3f72d1b9ee66">More...</a><br /></td></tr>
<tr class="separator:a767c7a5e286fa28b3d1a3f72d1b9ee66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f4057c07d3b835001d7f9155c0db571"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a2f4057c07d3b835001d7f9155c0db571">TEST_URL2</a> = &quot;fake.url.two&quot;</td></tr>
<tr class="separator:a2f4057c07d3b835001d7f9155c0db571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a432381b9313444de0db25e1d881f6f80"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a432381b9313444de0db25e1d881f6f80">TEST_LOOP_PAUSE</a> {100}</td></tr>
<tr class="memdesc:a432381b9313444de0db25e1d881f6f80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loop pause for the renderer.  <a href="#a432381b9313444de0db25e1d881f6f80">More...</a><br /></td></tr>
<tr class="separator:a432381b9313444de0db25e1d881f6f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17d87c2582cc9de972ac1b4e795b55ab"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a17d87c2582cc9de972ac1b4e795b55ab">TEST_LOOP_COUNT</a> = 2</td></tr>
<tr class="memdesc:a17d87c2582cc9de972ac1b4e795b55ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loop count for the renderer.  <a href="#a17d87c2582cc9de972ac1b4e795b55ab">More...</a><br /></td></tr>
<tr class="separator:a17d87c2582cc9de972ac1b4e795b55ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5f939b442b91c7f9007ea59a0fc4f03"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#ad5f939b442b91c7f9007ea59a0fc4f03">TEST_BACKGROUND_LOOP_PAUSE</a> = std::chrono::seconds(1)</td></tr>
<tr class="memdesc:ad5f939b442b91c7f9007ea59a0fc4f03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loop background pause for the renderer.  <a href="#ad5f939b442b91c7f9007ea59a0fc4f03">More...</a><br /></td></tr>
<tr class="separator:ad5f939b442b91c7f9007ea59a0fc4f03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ba86a143c45d53821fcaec25fc4503"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test.html#a56ba86a143c45d53821fcaec25fc4503">TEST_BACKGROUND_TIMEOUT</a> = std::chrono::seconds(5)</td></tr>
<tr class="memdesc:a56ba86a143c45d53821fcaec25fc4503"><td class="mdescLeft">&#160;</td><td class="mdescRight">Amount of time that the renderer observer should wait for a task to finish.  <a href="#a56ba86a143c45d53821fcaec25fc4503">More...</a><br /></td></tr>
<tr class="separator:a56ba86a143c45d53821fcaec25fc4503"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5c1d07630de93b5806b4a002611cf5d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c1d07630de93b5806b4a002611cf5d0">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_create&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> class creates an object appropriately and fails when it must </p>
<p class="">m_renderer was created using create() in the constructor. Check if not null</p>
<p class="">confirm we return a nullptr if a nullptr was passed in </p>

</div>
</div>
<a id="a06fdc947e1d71fece7d7df386c154cbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06fdc947e1d71fece7d7df386c154cbe">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_start&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> starts </p>

</div>
</div>
<a id="a3e5613b9eea873fe92b06b472ccff6eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e5613b9eea873fe92b06b472ccff6eb">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_stop&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> stops </p>

</div>
</div>
<a id="ae747af0408e5751a7496a84490158c9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae747af0408e5751a7496a84490158c9e">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_stopError&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> errors out when it cant stop </p>

</div>
</div>
<a id="a6f17d102a2aef1e9826e747dc111f882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f17d102a2aef1e9826e747dc111f882">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onPlaybackStarted&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> correctly handles Playback starting </p>
<p class="">shouldn't start if the source is bad</p>
<p class="">should start if the source is good </p>

</div>
</div>
<a id="a2b406ae472120a12a1936ee55abe87b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b406ae472120a12a1936ee55abe87b9">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onPlaybackStopped&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> correctly handles Playback stopping </p>
<p class="">shouldn't stop if the source is bad</p>
<p class="">should stop if the source is good </p>

</div>
</div>
<a id="a2af794cd08c7271d2db8e6a6ba773072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2af794cd08c7271d2db8e6a6ba773072">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onPlaybackFinishedError&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> gracefully handles errors when Playback finishing </p>
<p class="">shouldn't finish even if the source is good, if the media player is errored out</p>
<p class="">shouldn't finish even if the source is good, if the media player can't play it </p>

</div>
</div>
<a id="a21ca95c46239bddf1152c85a56834ee8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21ca95c46239bddf1152c85a56834ee8">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onPlaybackError&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> correctly handles Playback erroring out </p>
<p class="">shouldn't respond with errors if the source is bad</p>
<p class="">shouldn't respond with errors if the source is good </p>

</div>
</div>
<a id="aec912f4bf6761606b24fb413784a4195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec912f4bf6761606b24fb413784a4195">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_renderer_test.html">RendererTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testTimer_emptyURLNonZeroLoopPause&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test empty URL with non-zero loop pause, simulating playing a default alarm audio on background </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad5f939b442b91c7f9007ea59a0fc4f03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5f939b442b91c7f9007ea59a0fc4f03">&#9670;&nbsp;</a></span>TEST_BACKGROUND_LOOP_PAUSE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_BACKGROUND_LOOP_PAUSE = std::chrono::seconds(1)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loop background pause for the renderer. </p>

</div>
</div>
<a id="a56ba86a143c45d53821fcaec25fc4503"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56ba86a143c45d53821fcaec25fc4503">&#9670;&nbsp;</a></span>TEST_BACKGROUND_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_BACKGROUND_TIMEOUT = std::chrono::seconds(5)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Amount of time that the renderer observer should wait for a task to finish. </p>

</div>
</div>
<a id="a17d87c2582cc9de972ac1b4e795b55ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17d87c2582cc9de972ac1b4e795b55ab">&#9670;&nbsp;</a></span>TEST_LOOP_COUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_LOOP_COUNT = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loop count for the renderer. </p>

</div>
</div>
<a id="a432381b9313444de0db25e1d881f6f80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a432381b9313444de0db25e1d881f6f80">&#9670;&nbsp;</a></span>TEST_LOOP_PAUSE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_LOOP_PAUSE {100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loop pause for the renderer. </p>

</div>
</div>
<a id="a974c2796659e1c14e792cd9b99f6a808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a974c2796659e1c14e792cd9b99f6a808">&#9670;&nbsp;</a></span>TEST_SOURCE_ID_BAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">avsCommon::utils::mediaPlayer::MediaPlayerInterface::SourceId</a> alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_SOURCE_ID_BAD = 5678</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test source Id that does not exist for the tests. </p>

</div>
</div>
<a id="ab01b6b8d9cbda35b5f322c728f428e1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab01b6b8d9cbda35b5f322c728f428e1e">&#9670;&nbsp;</a></span>TEST_SOURCE_ID_GOOD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">avsCommon::utils::mediaPlayer::MediaPlayerInterface::SourceId</a> alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_SOURCE_ID_GOOD = 1234</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test source Id that exists for the tests. </p>

</div>
</div>
<a id="adbfbb08966e985c62aa5bbe862003e33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbfbb08966e985c62aa5bbe862003e33">&#9670;&nbsp;</a></span>TEST_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_TIMEOUT {100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Amount of time that the renderer observer should wait for a task to finish. </p>

</div>
</div>
<a id="a767c7a5e286fa28b3d1a3f72d1b9ee66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a767c7a5e286fa28b3d1a3f72d1b9ee66">&#9670;&nbsp;</a></span>TEST_URL1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_URL1 = &quot;fake.url.one&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test URLs for the renderer. </p>

</div>
</div>
<a id="a2f4057c07d3b835001d7f9155c0db571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f4057c07d3b835001d7f9155c0db571">&#9670;&nbsp;</a></span>TEST_URL2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::alerts::renderer::test::TEST_URL2 = &quot;fake.url.two&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
